## kf6-kirigami 6.22.0+p24.04+vstable+git20260131.0123

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.27)

set(KF_VERSION "6.23.0") # handled by release scripts
set(KF_DEP_VERSION "6.22.0") # handled by release scripts

project(kirigami2 VERSION ${KF_VERSION})

set(REQUIRED_QT_VERSION 6.8.0)

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "kirigami requires an out of source build. Please create a separate build directory and run 'cmake path_to_kirigami [options]' there.")
endif()

option(BUILD_SHARED_LIBS "Build a shared module" ON)
option(DESKTOP_ENABLED "Build and install The Desktop style" ON)
option(BUILD_EXAMPLES "Build and install examples" OFF)
option(UBUNTU_TOUCH "Build for Ubuntu Touch" OFF)
if(DEFINED STATIC_LIBRARY)
    message(FATAL_ERROR "Use the BUILD_SHARED_LIBS=OFF option to build a static library, STATIC_LIBRARY is no longer a supported option")
endif()
find_package(ECM 6.22.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

if (NOT ${BUILD_SHARED_LIBS})
    # Examples are not supported when building a static library, so force them
    # to OFF.
    set(BUILD_EXAMPLES OFF)
endif()

include(FeatureSummary)
include(KDEInstallDirs)
find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg QuickControls2 Concurrent ShaderTools)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

if (BUILD_TESTING)
    find_package(Qt6QuickTest ${REQUIRED_QT_VERSION} CONFIG QUIET)
endif()
get_target_property(QtGui_Enabled_Features Qt6::Gui QT_ENABLED_PUBLIC_FEATURES)
if(QtGui_Enabled_Features MATCHES "opengl")
    set(HAVE_QTGUI_OPENGL 1)
else()
    set(HAVE_QTGUI_OPENGL 0)
endif()
add_feature_info(QtGuiOpenGL HAVE_QTGUI_OPENGL "QtGui built with support for OpenGL")
set(CMAKE_AUTOMOC ON)
set(AUTOMOC_MOC_OPTIONS -Muri=org.kde.kirigami)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

if(NOT BUILD_SHARED_LIBS)
    add_definitions(-DKIRIGAMI_BUILD_TYPE_STATIC)
    add_definitions(-DQT_PLUGIN)
    add_definitions(-DQT_STATICPLUGIN=1)
endif()

################# set KDE specific information #################
# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMPoQmTools)
include(ECMFindQmlModule)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEPackageAppTemplates)
include(ECMQmlModule)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Kirigami")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KIRIGAMI
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kirigami_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiConfigVersion.cmake"
    SOVERSION 6
)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KIRIGAMI
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6Kirigami2ConfigVersion.cmake"
    SOVERSION 6
)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    set(WITH_DBUS ON)
    add_definitions(-DKIRIGAMI_ENABLE_DBUS)
endif()

find_package(OpenMP)
set_package_properties(OpenMP
    PROPERTIES DESCRIPTION "Multi-platform shared-memory parallel programming in C/C++ and Fortran"
    TYPE OPTIONAL
    PURPOSE "Accelerates palette generation in Kirigami.ImageColors"
)
if(OpenMP_CXX_FOUND)
    set(HAVE_OpenMP TRUE)
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
endif()

include_directories("${CMAKE_CURRENT_BINARY_DIR}")
configure_file(config-OpenMP.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-OpenMP.h)

if (UBUNTU_TOUCH)
    add_definitions(-DUBUNTU_TOUCH)
endif()

ecm_set_disabled_deprecation_versions(
    QT 6.2
    KF 6.21.0
)

if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    # link time optimization has been observed to break colors. Force-disable it.
    # Before undoing this make double sure the lockscreen
    # and logout screen are correctly colored in light/dark mode!
    add_compile_options("-fno-lto")
endif()

add_subdirectory(src)
if (NOT ANDROID)
    add_subdirectory(templates)
endif()

if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

configure_package_config_file(
    "KF6KirigamiConfig.cmake.in"
    "KF6KirigamiConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS CMAKE_INSTALL_PREFIX
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiConfigVersion.cmake"
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6KirigamiMacros.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

configure_package_config_file(
    "KF6Kirigami2Config.cmake.in"
    "KF6Kirigami2Config.cmake"
    INSTALL_DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Kirigami2"
    PATH_VARS CMAKE_INSTALL_PREFIX
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/KF6Kirigami2Config.cmake
    "${CMAKE_CURRENT_BINARY_DIR}/KF6Kirigami2ConfigVersion.cmake"
    DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Kirigami2
    COMPONENT Devel
)

ecm_install_po_files_as_qm(poqm)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

configure_file(qmllint.ini.in ${CMAKE_SOURCE_DIR}/.qmllint.ini)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kirigami (6.22.0+p24.04+vstable+git20260131.0123-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:23:07 +0000

## kf6-kirigami 6.22.0+p24.04+vunstable+git20260201.0542

=== debian/changelog ===
kf6-kirigami (6.22.0+p24.04+vunstable+git20260201.0542-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 05:42:47 +0000

## kf6-kirigami 6.22.0+p24.04+vunstable+git20260209.0341

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.24.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 
 project(kirigami2 VERSION ${KF_VERSION})
 
@@ -20,7 +20,7 @@
 if(DEFINED STATIC_LIBRARY)
     message(FATAL_ERROR "Use the BUILD_SHARED_LIBS=OFF option to build a static library, STATIC_LIBRARY is no longer a supported option")
 endif()
-find_package(ECM 6.22.0 REQUIRED NO_MODULE)
+find_package(ECM 6.23.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 if (NOT ${BUILD_SHARED_LIBS})

=== debian/changelog ===
kf6-kirigami (6.22.0+p24.04+vunstable+git20260209.0341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 03:41:50 +0000

## kf6-kirigami 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.24.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 
 project(kirigami2 VERSION ${KF_VERSION})

=== autotests/CMakeLists.txt ===
if(NOT TARGET Qt6::QuickTest)
    message(STATUS "Qt6QuickTest not found, autotests will not be built.")
    return()
endif()

add_executable(qmltest qmltest.cpp actiondata.cpp)
qt_add_qml_module(qmltest URI KirigamiTestUtils)
target_link_libraries(qmltest PRIVATE Qt6::Qml Qt6::QuickTest Kirigami)
if (NOT QT6_IS_SHARED_LIBS_BUILD OR NOT BUILD_SHARED_LIBS)
    target_link_libraries(qmltest PRIVATE KirigamiPolyfillplugin)
    qt6_import_qml_plugins(qmltest)
endif()

macro(kirigami_add_tests)
    if (WIN32)
        set(_extra_args -platform offscreen)
    endif()

    if (BUILD_SHARED_LIBS)
        set(_extra_args ${_extra_args} -import ${CMAKE_BINARY_DIR}/bin)
    endif()

    foreach(test ${ARGV})
        add_test(NAME ${test}
                 COMMAND qmltest
                        ${_extra_args}
                        -input ${test}
                 WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        )
    endforeach()
endmacro()

kirigami_add_tests(
    tst_action.qml
    tst_actiontoolbar.qml
    tst_card.qml
    tst_colorutils.qml
    tst_columnview.qml
    tst_delegates.qml
    tst_dialogs.qml
    tst_formlayout.qml
    tst_globaldrawer.qml
    tst_headerfooterlayout.qml
    tst_icon.qml
    tst_ImageColors.qml
    tst_inlinemessage.qml
    tst_inlineviewheader.qml
    tst_keynavigation.qml
    tst_listskeynavigation.qml
    tst_menudialog.qml
    tst_mnemonicdata.qml
    tst_navigationtabbar.qml
    tst_overlaysheet.qml
    tst_overlayzstacking.qml
    tst_padding.qml
    tst_pagerow.qml
    tst_pageStackAttached.qml
    tst_placeholdermessage.qml
    tst_sceneposition.qml
    tst_scrollablepage.qml
    tst_spellcheck.qml
    tst_theme.qml
    tst_titleSubtitleWithActions.qml

    mobile/tst_pagerow.qml

    pagepool/tst_layers.qml
    pagepool/tst_pagepool.qml

    wheelhandler/tst_filterMouseEvents.qml
    wheelhandler/tst_invokables.qml
    wheelhandler/tst_onWheel.qml
    wheelhandler/tst_scrolling.qml
)

set_tests_properties(
    tst_actiontoolbar.qml
    tst_theme.qml

    PROPERTIES
        ENVIRONMENT "QT_QUICK_CONTROLS_STYLE=Basic;KIRIGAMI_FORCE_STYLE=1"
)

set_tests_properties(
    mobile/tst_pagerow.qml

    PROPERTIES
        ENVIRONMENT "QT_QUICK_CONTROLS_MOBILE=1"
)

set_tests_properties(
    tst_navigationtabbar.qml
    wheelhandler/tst_scrolling.qml

    PROPERTIES
        RUN_SERIAL ON
)

=== debian/changelog ===
kf6-kirigami (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Drop armel bits, as that architecture was discontinued.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.
  * Update symbols from build for 6.23.0.

  [ Helmut Grohne ]
  * Fix FTCBFS: Explicitly request installation of application templates.
    (Closes: #1126930)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 22:29:50 +0100

=== debian/control ===
Source: kf6-kirigami
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.27~),
               doxygen,
               extra-cmake-modules (>= 6.23.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-shadertools-dev (>= 6.8.0~),
               qt6-svg-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/kirigami
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kirigami
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kirigami.git

Package: libkirigami-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the data files.

Package: libkirigami-dev
Section: libdevel
Architecture: any
Depends: libkirigami6 (= ${binary:Version}),
         libkirigamidelegates6 (= ${binary:Version}),
         libkirigamidialogs6 (= ${binary:Version}),
         libkirigamilayouts6 (= ${binary:Version}),
         libkirigamilayoutsprivate6 (= ${binary:Version}),
         libkirigamiplatform6 (= ${binary:Version}),
         libkirigamipolyfill6 (= ${binary:Version}),
         libkirigamiprimitives6 (= ${binary:Version}),
         libkirigamiprivate6 (= ${binary:Version}),
         libkirigamitemplates6 (= ${binary:Version}),
         qml6-module-org-kde-kirigami (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         qt6-declarative-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkirigami-doc (>= ${source:Version}),
Description: set of QtQuick components targeted for mobile use (development)
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the development files.

Package: libkirigami-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: set of QtQuick components targeted for mobile use (documentation)
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the qch documentation files.

Package: libkirigami6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the kirigami core library.

Package: libkirigamidelegates6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the kirigami delegates library.

Package: libkirigamidialogs6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the kirigami dialogs library.

Package: libkirigamilayouts6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the kirigami layouts library.

Package: libkirigamilayoutsprivate6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the kirigami layouts private library.

Package: libkirigamiplatform6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the kirigami platform library.

Package: libkirigamipolyfill6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the kirigami polyfill library.

Package: libkirigamiprimitives6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the kirigami primitives library.

Package: libkirigamiprivate6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DKDE_INSTALL_APP_TEMPLATES=ON

## kf6-kirigami 6.23.1

=== src/CMakeLists.txt ===
add_subdirectory(platform)
add_subdirectory(primitives)
add_subdirectory(delegates)
add_subdirectory(dialogs)
add_subdirectory(layouts)
add_subdirectory(polyfill)
add_subdirectory(templates)

add_library(Kirigami)
add_library(KF6::Kirigami ALIAS Kirigami)

# On Windows Kirigami apparently adds too many sources so on Windows we end
# up running into command line length limits. So disable cache
# generation on Windows for now.
# On Qt 6.7.2 cachegen is causing https://bugs.kde.org/show_bug.cgi?id=488326
# investigate if future versions fix it and we can re-enable it
if (NOT ANDROID)
    set(_extra_options NO_CACHEGEN)
endif()
if (BUILD_SHARED_LIBS)
    set(_extra_options ${_extra_options} NO_PLUGIN_OPTIONAL)
endif()
if (ANDROID OR NOT BUILD_SHARED_LIBS)
    set(_extra_options ${_extra_options} OPTIONAL_IMPORTS org.kde.breeze)
endif()

# Module: org.kde.kirigami.private

add_library(KirigamiPrivate)
ecm_add_qml_module(KirigamiPrivate
    URI "org.kde.kirigami.private"
    GENERATE_PLUGIN_SOURCE
    INSTALLED_PLUGIN_TARGET KF6KirigamiPrivateplugin
)

set_target_properties(KirigamiPrivate PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   6
    EXPORT_NAME "KirigamiPrivate"
)

target_sources(KirigamiPrivate PRIVATE
    copyhelper.cpp
    copyhelper.h
    actionhelper.cpp
    actionhelper.h
)

target_link_libraries(KirigamiPrivate PRIVATE Qt6::Gui)

ecm_finalize_qml_module(KirigamiPrivate DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiTargets)

install(TARGETS KirigamiPrivate EXPORT KirigamiTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

# Module: org.kde.kirigami

ecm_add_qml_module(Kirigami URI "org.kde.kirigami" VERSION 2.0
    CLASS_NAME KirigamiPlugin
    INSTALLED_PLUGIN_TARGET KF6Kirigamiplugin
    DEPENDENCIES
    "QtQuick.Controls"
    "org.kde.kirigami.private"
    "org.kde.kirigami.private.polyfill"
    IMPORTS
    "org.kde.kirigami.platform"
    "org.kde.kirigami.primitives"
    "org.kde.kirigami.delegates"
    "org.kde.kirigami.dialogs"
    "org.kde.kirigami.layouts"
    ${_extra_options}
)

ecm_create_qm_loader(kirigami_QM_LOADER libkirigami6_qt)
target_sources(Kirigami PRIVATE ${kirigami_QM_LOADER})

ecm_qt_declare_logging_category(Kirigami
    HEADER loggingcategory.h
    IDENTIFIER KirigamiLog
    CATEGORY_NAME kf.kirigami
    DESCRIPTION "Kirigami"
    DEFAULT_SEVERITY Warning
    EXPORT KIRIGAMI
)

set_target_properties(Kirigami PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   6
    EXPORT_NAME "Kirigami"
)

target_include_directories(Kirigami PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/platform
    ${CMAKE_CURRENT_BINARY_DIR}/platform
)

target_sources(Kirigami PRIVATE
    enums.h
    imagecolors.cpp
    imagecolors.h
    overlayzstackingattached.cpp
    overlayzstackingattached.h
    pagepool.cpp
    pagepool.h
    scenepositionattached.cpp
    scenepositionattached.h
    spellcheckattached.cpp
    spellcheckattached.h
    wheelhandler.cpp
    wheelhandler.h
)

target_sources(Kirigamiplugin PRIVATE
    kirigamiplugin.cpp
    kirigamiplugin.h
)

ecm_target_qml_sources(Kirigami SOURCES
    controls/Action.qml
    controls/AbstractApplicationHeader.qml
    controls/AbstractApplicationWindow.qml
    controls/ApplicationWindow.qml
    controls/OverlayDrawer.qml
    controls/ContextDrawer.qml
    controls/GlobalDrawer.qml
    controls/Heading.qml
    controls/PageRow.qml
    controls/OverlaySheet.qml
    controls/Page.qml
    controls/ScrollablePage.qml
    controls/SwipeListItem.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.1 SOURCES
    controls/AbstractApplicationItem.qml
    controls/ApplicationItem.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.4 SOURCES
    controls/AbstractCard.qml
    controls/Card.qml
    controls/CardsListView.qml
    controls/CardsLayout.qml
    controls/InlineMessage.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.5 SOURCES
    controls/ListItemDragHandle.qml
    controls/ActionToolBar.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.6 SOURCES
    controls/AboutPage.qml
    controls/LinkButton.qml
    controls/UrlButton.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.7 SOURCES
    controls/ActionTextField.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.8 SOURCES
    controls/SearchField.qml
    controls/PasswordField.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.10 SOURCES
    controls/ListSectionHeader.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.11 SOURCES
    controls/PagePoolAction.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.12 SOURCES
    controls/PlaceholderMessage.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.14 SOURCES
    controls/FlexColumn.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.19 SOURCES
    controls/AboutItem.qml
    controls/NavigationTabBar.qml
    controls/NavigationTabButton.qml
    controls/Chip.qml
    controls/LoadingPlaceholder.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.20 SOURCES
    controls/SelectableLabel.qml
    controls/InlineViewHeader.qml
    controls/ContextualHelpButton.qml
)

ecm_target_qml_sources(Kirigami PRIVATE PATH private SOURCES
    controls/private/ActionMenuItem.qml
    controls/private/ActionsMenu.qml
    controls/private/BannerImage.qml
    controls/private/ContextDrawerActionItem.qml
    controls/private/DefaultCardBackground.qml
    controls/private/DefaultChipBackground.qml
    controls/private/DefaultPageTitleDelegate.qml
    controls/private/EdgeShadow.qml
    controls/private/GlobalDrawerActionItem.qml
    controls/private/MobileDialogLayer.qml
    controls/private/PrivateActionToolButton.qml
    controls/private/PullDownIndicator.qml
    controls/private/SwipeItemEventFilter.qml
)

ecm_target_qml_sources(Kirigami PRIVATE PATH private/globaltoolbar SOURCES
    controls/private/globaltoolbar/BreadcrumbControl.qml
    controls/private/globaltoolbar/HandleButton.qml
    controls/private/globaltoolbar/NavigationButtons.qml
    controls/private/globaltoolbar/PageRowGlobalToolBarStyleGroup.qml
    controls/private/globaltoolbar/PageRowGlobalToolBarUI.qml
    controls/private/globaltoolbar/ToolBarPageHeader.qml
    controls/private/globaltoolbar/ToolBarPageFooter.qml
)

qt_target_qml_sources(Kirigami RESOURCES
    styles/Material/InlineMessage.qml
    styles/Material/Theme.qml
    OUTPUT_TARGETS _out_targets_1
)

if (DESKTOP_ENABLED)
    qt_target_qml_sources(Kirigami RESOURCES
        styles/org.kde.desktop/AbstractApplicationHeader.qml
        styles/org.kde.desktop/Theme.qml
        OUTPUT_TARGETS _out_targets_2
    )
endif()

target_link_libraries(Kirigami
    PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    Qt6::Quick
    PRIVATE
    Qt6::Concurrent
    ${Kirigami_EXTRA_LIBS}
)

if (HAVE_OpenMP)
    target_link_libraries(Kirigami PRIVATE OpenMP::OpenMP_CXX)
endif()

if (NOT BUILD_SHARED_LIBS)
    # Ensure we install the plugin library file as that's required to link
    # against for static builds to work properly
    target_link_libraries(Kirigamiplugin
        PRIVATE
            KirigamiPlatformplugin
            KirigamiDelegatesplugin
            KirigamiPrimitivesplugin
            KirigamiDialogsplugin
            KirigamiLayoutsplugin
            KirigamiLayoutsPrivateplugin
            KirigamiPrivateplugin
            KirigamiTemplatesplugin
    )
    # for tests to find this under the name it's actually installed with'
    add_library(KF6Kirigamiplugin ALIAS Kirigamiplugin)
else()
    target_link_libraries(Kirigami
        PUBLIC
            KirigamiPlatform
        PRIVATE
            KirigamiDelegates
            KirigamiPrimitives
            KirigamiDialogs
            KirigamiLayouts
            KirigamiPrivate
            KirigamiTemplates
    )
endif()

install(TARGETS Kirigami ${_out_targets_1} ${_out_targets_2} EXPORT KirigamiTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
install(EXPORT KirigamiTargets
    DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Kirigami
    FILE KF6KirigamiTargets.cmake
    NAMESPACE KF6
)

ecm_finalize_qml_module(Kirigami DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiTargets)

if (ANDROID)
    install(FILES Kirigami-android-dependencies.xml
        DESTINATION ${KDE_INSTALL_LIBDIR}
        RENAME Kirigami_${CMAKE_ANDROID_ARCH_ABI}-android-dependencies.xml
    )
endif()

ecm_qt_install_logging_categories(
    EXPORT KIRIGAMI
    FILE kirigami.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ecm_generate_qdoc(Kirigami kirigami.qdocconf)

=== debian/changelog ===
kf6-kirigami (6.23.1-0ubuntu1) resolute; urgency=medium

  * New upstream bugfix release (6.23.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Mar 2026 17:45:00 +0000

kf6-kirigami (6.23.0-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 00:00:36 +0000

kf6-kirigami (6.23.0-0ubuntu2) resolute; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Feb 2026 18:30:34 +0000

kf6-kirigami (6.23.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.23.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Feb 2026 11:38:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,31 @@
 Source: kf6-kirigami
 Section: libs
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Priority: optional
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.27~),
                doxygen,
                extra-cmake-modules (>= 6.23.0~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-base-private-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.8.0~),
-               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
                qt6-shadertools-dev (>= 6.8.0~),
                qt6-svg-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.3
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kirigami
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kirigami
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kirigami.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kirigami
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kirigami
+Rules-Requires-Root: no
 
 Package: libkirigami-data
 Architecture: all
@@ -47,17 +50,10 @@
 Architecture: any
 Depends: libkirigami6 (= ${binary:Version}),
          libkirigamidelegates6 (= ${binary:Version}),
-         libkirigamidialogs6 (= ${binary:Version}),
-         libkirigamilayouts6 (= ${binary:Version}),
-         libkirigamilayoutsprivate6 (= ${binary:Version}),
          libkirigamiplatform6 (= ${binary:Version}),
-         libkirigamipolyfill6 (= ${binary:Version}),
-         libkirigamiprimitives6 (= ${binary:Version}),
-         libkirigamiprivate6 (= ${binary:Version}),
-         libkirigamitemplates6 (= ${binary:Version}),
          qml6-module-org-kde-kirigami (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
-         qt6-declarative-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-declarative-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkirigami-doc (>= ${source:Version}),
 Description: set of QtQuick components targeted for mobile use (development)
@@ -262,3 +258,6 @@
 Description: set of QtQuick components targeted for mobile use
  Kirigami is a set of QtQuick components at the moment targeted for
  mobile use (in the future desktop as well) targeting both Plasma
+ Mobile and Android. A set of high level components to make the
+ creation of applications that look and feel great on mobile as well
+ as desktop devices and follow the Kirigami Human Interface
